VER.(1)

NAME
ver. - manual page for ver. 1.0-1 (openmp,opengl,gts,vtk,qt4)

DESCRIPTION
usage: woo [-h] [--version] [-j THREADS] [--cores CORES] [--cl-dev CLDEV] [-n]

    [-D] [--quirks QUIRKS] [--flavor FLAVOR] [--batch-table BATCHTABLE] [--batch-line BATCHLINE] [--batch-results BATCHRESULTS] [-c COMMANDS] [-e EXPR] [--paused] [--nice NICE] [-x] [-v] [-R] [--test] [--no-gdb] [--in-gdb] [--in-pdb] [--in-valgrind] [--fake-display] ...

Woo: open-source platform for dynamic compuations, http://woodem.eu.

  positional arguments:

    simulation

  optional arguments:

-h, --help
    show this help message and exit

--version

-j THREADS, --threads THREADS
    Number of OpenMP threads to run; unset (0) by default, which means to use all available cores, but at most 4. Equivalent to setting OMP_NUM_THREADS environment variable.

--cores CORES
    Comma-separated list of cores to use - determined number of OpenMP threads and sets affinity for those threads as well.

--cl-dev CLDEV
    Numerical couple (comma-separated) givin OpenCL platform/device indices. This is machine-dependent value

-n  Run without graphical interface (equivalent to unsetting the DISPLAY environment variable)

-D, --debug
    Run the debug build, if available.

--quirks QUIRKS
    Bitmask for workarounds for broken configurations; all quirks are enabled by default. 1: set LIBGL_ALWAYS_SOFTWARE=1 for Intel GPUs (determined from `lspci | grep VGA`) (avoids GPU freeze), 2: set --in-gdb when on AMD FirePro GPUs to avoid crash in fglrx.so (only when using the fglrx driver)

--flavor FLAVOR
    Build flavor of woo to use.

--batch-table BATCHTABLE
    Batch table file.

--batch-line BATCHLINE
    Batch table line.

--batch-results BATCHRESULTS
    Batch results file.

-c COMMANDS
    Run these python commands after the start (use -x to exit afterwards)

-e EXPR
    Evaluate this expression (instead of loading file). It should be a scene object or a preprocessor, which will be run

--paused
    When proprocessor or simulation is given on the command-line, don't run it automatically (default)

--nice NICE
    Increase nice level (i.e. decrease priority) by given number.

-x  Exit when the script finishes

-v  Increase logging verbosity; first occurence sets default logging level to info (only available if built with log4cxx), second to debug, third to trace.

-R, --rebuild
    Re-run build in the source directory, then run the updated woo with the same command line except --rebuild. The build flavor for this build and its stored parameters will be used. If given twice, update from the repository will be attempted before recompilation.

--test
    Run regression test suite and exit; the exists status is 0 if all tests pass, 1 if a test fails and 2 for an unspecified exception.

--no-gdb
    Do not show backtrace when Woo crashes (only effective with \-\-debug).

--in-gdb
    Run Woo inside gdb (must be in $PATH).

--in-pdb
    Run Woo inside pdb

--in-valgrind
    Run inside valgrind (must be in $PATH); automatically adds python ignore files

--fake-display
    Allow importing the woo.qt4 module without initializing Qt4. This is only useful for generating documentation and should not be used otherwise.

SEE ALSO
The full documentation for ver. is maintained as a Texinfo manual. If the info and ver. programs are properly installed at your site, the command

    info ver.

should give you access to the complete manual.